Package org.apache.qpid.proton.engine

# Interface Ssl

All Known Implementing Classes:
  `SslImpl`

public interface Ssl
I represent the details of a particular SSL session.

## Method Summary

Modifier and Type
Method
Description
`String`
`getCipherName()`
Get the name of the Cipher that is currently in use.
`String`
`getPeerHostname()`
`String`
`getProtocolName()`
Get the name of the SSL protocol that is currently in use.
`void`
`setPeerHostname(String hostname)`

## Method Details

### getCipherName

String getCipherName()
Get the name of the Cipher that is currently in use. Gets a text description of the cipher that is currently active, or returns null if SSL is not active (no cipher). Note that the cipher in use may change over time due to renegotiation or other changes to the SSL state.

Returns:
  the name of the cipher in use, or null if none

### getProtocolName

String getProtocolName()
Get the name of the SSL protocol that is currently in use. Gets a text description of the SSL protocol that is currently active, or null if SSL is not active. Note that the protocol may change over time due to renegotiation.

Returns:
  the name of the protocol in use, or null if none

### setPeerHostname

void setPeerHostname(String hostname)

### getPeerHostname

String getPeerHostname()